# TaskProgressEvent

interface TaskProgressEvent : ProgressEvent

Root interface for all events that signal progress while executing a task.

#### Since

2.5

#### Inheritors

TaskFinishEvent
TaskStartEvent

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): TaskOperationDescriptor
Returns the description of the task for which progress is reported.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long